Subject: [Rift] AD review for draft-ietf-rift-applicability-13

From: James Guichard <[email-masked]>
Date: Tue, 16 Apr 2024 15:58:46 +0000

Dear Authors,

Thank you for the latest version of this document. I have some further comments/corrections before I move the document forward. Please review and publish a new version as soon as possible:

171     Section 4.2.3.8 "Southbound Default Route Origination" of RIFT

Jim> This is an incorrect reference. It should be Section 6.3.8 (v-21 of the RIFT spec). Please correct the reference.

215     A spine node has only information necessary for its level, which is

216     all destinations south of the node based on SPF calculation, default

217     route, and potential disaggregated routes.

Jim> Change ‘potential’ to ‘potentially’ above.

225     *  Minimal routes/info on Top-of-Rack (ToR) switches, aka leaf nodes

Jim> Change ‘routes/info’ to ‘routes/information’ above.

1045  5.8.  Mobile Edge and Anycast

1047    When a physical or a virtual node changes its point of attachement in

Jim> Correct typo ‘attachement’ above.

1068    Section 4.3.3.  "Mobility" of [RIFT] specifies an hybrid method that

Jim> Above reference is incorrect. Section 6.8.4 of [RIFT] is the correct reference. Please correct it.

1105    the point of attachement changes.  This way, it is possible to

Jim> Correct typo above.

1109    of its points of attachement.

Jim> Correct typo above.

1111  5.9.  IPv4 over IPv6

1115    mechanisms and then V4 can use V6 nexthops analogous to [RFC8950].

Jim> Replace ‘nexthops’ with ‘next-hops’

1408  5.17.  Key Management

1410    As outlined in Section "Security Considerations" of [RIFT], either a

Jim> Please update reference to ‘Section 9 “Security Considerations” of [RIFT]’.

Thanks!

Jim